/* Sets up physical limits of plotting device and the mapping between */
/* normalized device coordinates and physical coordinates */

#include "plplot.h"

void setphy(xmin,xmax,ymin,ymax)
int xmin,xmax,ymin,ymax;
{
    float xpmm, ypmm, mpxscl, mpyscl;

    sphy(xmin,xmax,ymin,ymax);
    sdp((double)(xmax-xmin),(double)(xmin),(double)(ymax-ymin),
         (double)(ymin));

    gpixmm(&xpmm,&ypmm);
    mpxscl = xpmm;
    if (xmax <= xmin) mpxscl = -xpmm;
    mpyscl = ypmm;
    if (ymax <= ymin) mpyscl = -ypmm;
    smp(mpxscl,(double)(xmin), mpyscl,(double)(ymin));
}

