/* Plots single precision array y against x for n points using */
/* Hershey symbol "code" */

#include "plplot.h"

void plsym(n,x,y,code)
int n, code;
float x[],y[];
{
      int i;

      int level;
      glev(&level);
      if (level < 3) fatal("Please set up window before calling PLSYM.");
      if (code < 0) fatal("Invalid code in PLSYM.");

      for (i=0; i<n; i++) 
        plsym1(x[i],y[i],code);
}
